//! General game actions
use serde::{Serialize, Deserialize};



#[derive(Serialize, Deserialize)]
pub struct Ping {
    /// Which texture got pinged
    pub texture: String,
    /// Where the ping occured in the window
    pub pos: (i32, i32),
}

#[derive(Serialize, Deserialize)]
pub struct ShowImage {
    /// Which texture to show
    pub texture: String
}